import 'package:flutter/cupertino.dart';
import 'dart:ui' as ui show window;

class FlutterSizeFit {
  static MediaQueryData _mediaQueryData;
  static double screenWidth;
  static double screenHeight;
  static double rpx;
  static double px;

  static void initialize({double standardWidth = 750}) {
    MediaQueryData mediaQuery = MediaQueryData.fromWindow(ui.window);
    if (_mediaQueryData != mediaQuery) {
      _mediaQueryData = mediaQuery;
      screenWidth = _mediaQueryData.size.width;
      screenHeight = _mediaQueryData.size.height;
      rpx = screenWidth / standardWidth;
      px = screenWidth / standardWidth * 2;
    }


  }

  // 按照像素来设置
  static double setPx(double size) {
    return FlutterSizeFit.rpx * size * 2;
  }

  // 按照rxp来设置
  static double setRpx(double size) {
    return FlutterSizeFit.rpx * size;
  }
}




